Package org.gradle.api.initialization.dsl

## Interface VersionCatalogBuilder.AliasBuilder

- Enclosing interface:
    VersionCatalogBuilder

      @Incubating
      @Deprecated
      public static interface VersionCatalogBuilder.AliasBuilder

  Deprecated.
  With the removal of `VersionCatalogBuilder.alias(String)`, this class will no longer needed.
  Allows configuring an alias
  Since:
    7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `to​(java.lang.String groupArtifactVersion)` | Deprecated. Sets GAV coordinates for this alias
    `VersionCatalogBuilder.LibraryAliasBuilder` | `to​(java.lang.String group, java.lang.String name)` | Deprecated. Sets the group and name of this alias
    `VersionCatalogBuilder.PluginAliasBuilder` | `toPluginId​(java.lang.String id)` | Deprecated. Sets the plugin id this alias will reference

- - ### Method Detail

    - #### to

          void to​(java.lang.String groupArtifactVersion)

      Deprecated.
      Sets GAV coordinates for this alias
      Parameters:
        `groupArtifactVersion` - the GAV coordinates, in the group:artifact:version form

    - #### to

          VersionCatalogBuilder.LibraryAliasBuilder to​(java.lang.String group,
                                                       java.lang.String name)

      Deprecated.
      Sets the group and name of this alias
      Parameters:
        `group` - the group
        `name` - the name (or artifact id)
      Returns:
        a builder to configure the version

    - #### toPluginId

          VersionCatalogBuilder.PluginAliasBuilder toPluginId​(java.lang.String id)

      Deprecated.
      Sets the plugin id this alias will reference
      Parameters:
        `id` - the plugin id
      Returns:
        a builder to configure the plugin
      Since:
        7.2